<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Andre Krell (systemweb.de & krelli.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__ . "/../../../maincore.php";
require_once __DIR__ . "/../infusion_db.php";


if (!checkrights("SWSS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
	redirect(BASEDIR . "index.php");
}

require_once THEMES . "templates/admin_header.php";
include LOCALE . LOCALESET . "admin/infusions.php";
if(defined('FUSION_V7')) {
	include(SWSS_LOCALE);
}
else {
	$locale = fusion_get_locale('', SWSS_LOCALE);
	add_breadcrumb(['link' => ADMIN.'index.php'.fusion_get_aidlink()."&pagenum=5", 'title' => 'Infusionen']);
	add_breadcrumb(['link' => INFUSIONS.'streamstatus/administration/admin.php'.fusion_get_aidlink(), 'title' => $locale['SSP_100']]);
}

add_to_head('<link rel="stylesheet" href="' . INFUSIONS . 'streamstatus_panel/css/streamstatus.css?v=' . @filemtime(INFUSIONS . 'streamstatus_panel/css/streamstatus.css') . '">');
add_to_footer('<script src="' . INFUSIONS . 'streamstatus_panel/streamstatus.js"></script>');

opentable($locale['SSP_100']);
include(__DIR__ . "/includes/admin.php");
closetable();

require_once THEMES . "templates/footer.php";
