<?php
/*
Dieses Script gibt das Bild des akt. sendenden DJs aus.
Nachfolgend einige aenderbare Konfigurations-Parameter, ggfs. anpassen.
*/
// der Ordnername des Sendeplanes in "/infusions/", Standard ist "sendeplan"
$sendeplan_ordnername = "sendeplan";

/*
Ab hier muss nichts mehr geaendert werden!
*/
require("../../../../maincore.php");

header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

include(__DIR__ . "/../../infusion_db.php");
include(INFUSIONS . "/sendeplan/infusion_db.php");
include(INFUSIONS . "/sendeplan/sp_functions.php");

$sp_setting = dbarray(dbquery("SELECT * FROM `" .DB_PREFIX. "sendeplan_settings` WHERE `profile` = 'default'"));
global $sp_setting;
if (isset($sp_id) && strlen($sp_id) == 1 && IsNum($sp_id)) {
	$id = ($sp_id * 1);
}
if (!isset($sp_id) || $sp_id == '0') {
	$id = "";
}

if (defined('FUSION_V7')) {
	$siteurl = $settings['siteurl'];
	$timeoffset = $settings['default_timezone'];
}
elseif (defined('FUSION_V8')) {
	$siteurl = fusion_get_settings('siteurl');
	$timeoffset = fusion_get_settings('default_timezone');
}
else {
	$siteurl = fusion_get_settings('siteurl');
	$timeoffset = fusion_get_settings('timeoffset');
}
date_default_timezone_set($timeoffset);

// convert current timestamp using global offset settings
$timestamp = time();
// IMPORTTANT: generate dateformat in gmt for db tables (without MESZ changes!)
$requestday = gmmktime(12, 0, 0, date("m", $timestamp), date("d", $timestamp), date("Y", $timestamp));

$newday = $requestday;

// request available entries and store them in array
$tmp = '0';
$result = dbquery("SELECT * FROM `" . DB_PREFIX . "sendeplan` WHERE `day` = " . $newday);
$rows = dbrows($result);
if ($rows != 0) {
	$entry = dbarray($result);
	if (empty($entry[date("G", $timestamp)])) {
		$tmp = '0';
	} else {
		$tmp2 = explode(".", $entry[date("G", $timestamp)]);
		$tmp = $tmp2[0];
	}
}

$result = dbquery("SELECT * FROM `" . DB_PREFIX . "sendeplan_djinfos` WHERE `user_id` = '" . $tmp . "'");
$rows = dbrows($result);
if ($rows != 0) {
	$data = dbarray($result);
	if (!empty($data['user_avatar'])) {
		echo "<img class='onair-img' src='" . $siteurl . "infusions/" . $sendeplan_ordnername . "/images/dj-avatars/" . $data['user_avatar'] . "' alt='Now on air'/>";
	} else {
		echo "<img class='onair-img' src='" . $siteurl . "infusions/" . $sendeplan_ordnername . "/images/dj-avatars/nopic.png' alt='Now on air' />";
	}
} else {
	echo "<img class='onair-img' src='" . $siteurl . "infusions/" . $sendeplan_ordnername . "/images/dj-avatars/nopic.png' alt='Now on air' />";
}
