<?php
/*----------------------------------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------------------------------------+
| Filename: infusion_db.php
| Author: Andre Krell alias Krelli (systemweb.de & krelli.com)
+----------------------------------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------------------------------------*/
if (!defined("IN_FUSION")) { die(); }

if (!defined("DB_STREAMSTATUS_SETTINGS")) { define("DB_STREAMSTATUS_SETTINGS",         DB_PREFIX."streamstatus_settings"); }
if (!defined("DB_STREAMSTATUS_STREAMS")) { define("DB_STREAMSTATUS_STREAMS",      DB_PREFIX."streamstatus_streams"); }
if (!defined("DB_STREAMSTATUS_COVERS")) { define("DB_STREAMSTATUS_COVERS",      DB_PREFIX."streamstatus_covers"); }

// define version for update checking
if (!defined("STREAMSTATUS_VERSION")) { define("STREAMSTATUS_VERSION", "1.4"); }

if (!function_exists('fusion_get_settings') && IsSet($settings['version']) && substr($settings['version'], 0, 1) == '7') {
	if(!defined('FUSION_V7')) define('FUSION_V7', TRUE);
}
elseif (substr(fusion_get_settings('version'), 0, 1) == '8') {
	if(!defined('FUSION_V8')) define('FUSION_V8', TRUE);
}
else {
	if(!defined('FUSION_V9')) define('FUSION_V9', TRUE);
}

// Locales
if (!defined('SWSS_LOCALE')) {
    if (file_exists(INFUSIONS . 'streamstatus_panel/locale/' . (defined('FUSION_V7') ? $settings['locale'] : LANGUAGE) . '.php')) {
        define('SWSS_LOCALE', INFUSIONS . 'streamstatus_panel/locale/' . (defined('FUSION_V7') ? $settings['locale'] : LANGUAGE) . '.php');
    } else {
        define('SWSS_LOCALE', INFUSIONS . 'streamstatus_panel/locale/English.php');
    }
}
