<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: English.php
| Author: Andre Krell alias Krelli (systemweb.de & krelli.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Infusion locales
$locale['SSP_title'] = "Streamstatus Panel";
$locale['SSP_name'] = "Streamstatus";
$locale['SSP_desc'] = "Streamstatus sidepanel for Webradios";
$locale['SSP_adminlink'] = "Streamstatus";

// Panel locales
$locale['SSP_nowplaying'] = "Current songtitle";
$locale['SSP_listeners'] = "Listeners";
$locale['SSP_onair'] = "Now on air";
$locale['SSP_wishbox'] = "Wish Box";
$locale['SSP_studiobox'] = "Studiobox";
$locale['SSP_players'] = "Choose your player:";
$locale['SSP_tunein'] = "Tune in";

// Admin locales
$locale['SSP_100'] = "Streamstatus Management";
$locale['SSP_101'] = "Preferences";
$locale['SSP_102'] = "Channel Management";
$locale['SSP_103'] = "Cover Management";
$locale['SSP_104'] = "Paneltitle";
$locale['SSP_105'] = "Listeners visible for";
$locale['SSP_105a'] = "All (Guests too)";
$locale['SSP_105b'] = "Logged in users";
$locale['SSP_105c'] = "Group";
$locale['SSP_105d'] = "Admins";
$locale['SSP_105e'] = "Side Admins";
$locale['SSP_105f'] = "Nobody (deactivated)";
$locale['SSP_105z'] = "Listeners list available for";
$locale['SSP_106'] = "Activate Cover Feature";
$locale['SSP_106a'] = "Yes";
$locale['SSP_106b'] = "No";
$locale['SSP_107'] = "Delete Cover Images";
$locale['SSP_107a'] = "after 1 day";
$locale['SSP_107b'] = "after 3 days";
$locale['SSP_107c'] = "after 1 week";
$locale['SSP_107d'] = "after 1 month";
$locale['SSP_107e'] = "after 3 months";
$locale['SSP_107f'] = "after 6 months";
$locale['SSP_107g'] = "after 1 year";
$locale['SSP_107h'] = "never (no auto-delete)";
$locale['SSP_108'] = "Layout";
$locale['SSP_108a'] = "#1: Unique track title and cover image above, channels below";
$locale['SSP_108b'] = "#2: Every channel hast its own track title and cover";
$locale['SSP_108c'] = "Option #1 is recommended if all channels play same program.";
$locale['SSP_109'] = "Cover quality";
$locale['SSP_109a'] = "Medium, 250x250px (~15kB)";
$locale['SSP_109b'] = "Big, 500x500px (~70kB)";
$locale['SSP_109c'] = "XL, 1000x1000px (~150kB)";

$locale['SSP_110'] = "Save settings";
$locale['SSP_111'] = "Please note";
$locale['SSP_112'] = "A medium cover image consumes about 10-15 kB of storage space. If the current title already has a cover image, it will be used. This saves resources when loading images from the external service.<br>
The following calculation example should help to determine the optimal storage period:<br>
Within a day (24 hours), you send between 300 and 400 song titles, depending on the track lengths. Let us now assume that not a single one of them had ever been played before, so 400 new cover images were saved. 400 x 15 kB results in a total of about 6 MB of daily memory requirements. If you save the cover images for 1 year, for example, you need 365 x 6 MB = 2.1 GB of storage space on your web space.<br>
However, this does not take into account the fact that many titles are broadcast several times within this year, for which the same already existing cover image is used each time. The memory requirement calculated here thus represents the maximum value rounded up. So if you want to create your own archive of cover images, you can save for a longer period of time, depending on the available storage space.<br>
>In the cover management, individual images can also be marked as &quot;permanently&quot. These will not be deleted, regardless of the storage period specified here. In this way, rather unknown titles or those for which the service has provided an incorrect image can be permanently fixed with their own cover image.";
$locale['SSP_112a'] = "This image is used if no cover image is found.<br>
You can use your own images by uploading them to the folder &quot;infusions/streamstatus_panel/covers/__NO-COVER/&quot; via FTP. Please note, that all file names must be in capital letters, including file name extensions (e.g. IMAGE.GIF).";
$locale['SSP_113'] = "ERROR";
$locale['SSP_113a'] = "Panel title contains invalid chars.";
$locale['SSP_113b'] = "Invalid information for visibility of the number of listeners.";
$locale['SSP_113c'] = "The duration after covers will be deleted is incorrect.";
$locale['SSP_113d'] = "Covers cannot be activated because the folder &quot;covers/&quot; does not have the necessary write permissions (CHMOD 0755 or 0777).";
// Status Messages
$locale['SSP_114'] = "The channel has been successfully updated.";
$locale['SSP_115'] = "The channel has been successfully added.";
$locale['SSP_116'] = "The channel has been deleted.";

$locale['SSP_200'] = "Edit channel";
$locale['SSP_201'] = "Channel Settings";
$locale['SSP_202'] = "Channel label";
$locale['SSP_203'] = "Short description";
$locale['SSP_203a'] = "(leave empty if not wanted)";
$locale['SSP_204'] = "Channel visibility:";
$locale['SSP_205'] = "Show player links";
$locale['SSP_205a'] = "(Winamp, VLC, Mediaplayer)";
$locale['SSP_205b'] = "Yes, show it";
$locale['SSP_205c'] = "No, hide it";
$locale['SSP_206'] = "URL to audio player";
$locale['SSP_206a'] = "(to start a player in browser)";
$locale['SSP_206b'] = "(leave empty if not used)";
$locale['SSP_207'] = "URL to Wish Box";
$locale['SSP_207a'] = "(leave empty if not used)";

$locale['SSP_208'] = "DJ On-Air Detection";
$locale['SSP_208a'] = "Webradio Schedule (Systemweb)";
$locale['SSP_208b'] = "Webradio Schedule (Granade)";
$locale['SSP_208c'] = "Azuracast API";
$locale['SSP_208d'] = "Transcoder v2 API";
$locale['SSP_208e'] = "AIM (Shoutcast v1.x)";
$locale['SSP_208f'] = "Current track title";
$locale['SSP_208g'] = "Infusion &quot;Gr_Sendeplan&quot; is installed. The current presenter is determined from the entry for the current broadcast time.";
$locale['SSP_208h'] = "Infusion &quot;Gr_Sendeplan&quot; was not found. The current presenter cannot be determined from the entry for the current broadcast time.";
$locale['SSP_208i'] = "Infusion &quot;Webradio Schedule&quot; by Systemweb is installed. The current presenter is determined from the entry for the current broadcast time.";
$locale['SSP_208j'] = "Infusion &quot;Webradio Schedule&quot; by Systemweb was not found. The current presenter cannot be determined from the entry for the current broadcast time.";

$locale['SSP_209'] = "Default Cover Image";
$locale['SSP_210'] = "Stream Details";
$locale['SSP_211'] = "Stream Technology";
$locale['SSP_211a'] = "- please choose -";
$locale['SSP_212'] = "Add Channel";
$locale['SSP_213'] = "Delete Channel";
$locale['SSP_214'] = "Back";
$locale['SSP_215'] = "Please confirm";
$locale['SSP_216'] = "Do you really want to delete the channel &quot;<strong>%s</strong>&quot;?";
$locale['SSP_217'] = "Delete Channel";
$locale['SSP_218'] = "Existing Channels";
$locale['SSP_219'] = "Action";
$locale['SSP_219a'] = "Edit";
$locale['SSP_219b'] = "Delete";
$locale['SSP_220'] = "Streamserver";
$locale['SSP_220a'] = "(Server name or IP)";
$locale['SSP_221'] = "Streamport";
$locale['SSP_222'] = "Ist this an SSL stream?";
$locale['SSP_222a'] = "Yes";
$locale['SSP_222b'] = "No";
$locale['SSP_223'] = "Stream ID (SID)";
$locale['SSP_223a'] = "In most cases you have to enter <strong>1</strong>";
$locale['SSP_224'] = "Mountpoint";
$locale['SSP_224a'] = "(eg. <strong>/128kb.mp3</strong>)";
$locale['SSP_225'] = "Channelname on Laut.FM";
$locale['SSP_226'] = "Save";
$locale['SSP_227'] = "Current Presenter";

// DJ on Air detection
$locale['SSP_227a'] = "Recognition string";
$locale['SSP_227b'] = "Character or string which is followed by presenter name";
$locale['SSP_227c'] = "(eg. &quot;|&quot or &quot;presented by&quot;)";
$locale['SSP_228'] = "Each presenter must enter his name in the encoder of his broadcast program with &quot;AIM&quot;.<br><br>
WARNING: This feature works on Shoutcast v1 Streams only!<br>
From Shoutcast v2 onwards, there is no longer an AIM specification.<br><br>
Below you have to enter the stream password for the shoutcast admin user.";
$locale['SSP_228a'] = "Stream Admin Password";
$locale['SSP_229a'] = "Transcoder Server";
$locale['SSP_229b'] = "Adminport";
$locale['SSP_229c'] = "Admin Username";
$locale['SSP_229d'] = "Admin Password";
$locale['SSP_229e'] = "Azuracast Server";
$locale['SSP_229f'] = "Station ID";
$locale['SSP_229g'] = "API key";
$locale['SSP_229h'] = "The correct station ID can be found by logging into Azuracast to manage your station. Then simply check the current URL in the address bar of the browser. There must be something like:<br>
https://Azuracast-URL/station/<strong>1</strong>/<br>
In this case, the station ID is: <strong>1</strong>";
$locale['SSP_229i'] = "The API key can be generated in the Azuracast administration interface (My Account -&raquo; API-key)";
$locale['SSP_229j'] = "Autostream label";
$locale['SSP_229k'] = "(starting with http:// or https:// !)";

// Errors
$locale['SSP_230'] = "ERROR! The data could not be saved for the following reasons:";
$locale['SSP_230a'] = "The channel label contains invalid characters. The following are allowed: A-z, 0-9, ÄÖÜäöüßèé@ _-:.,;!()/";
$locale['SSP_230b'] = "The short description contains invalid characters. The following are allowed: A-z, 0-9, ÄÖÜäöüßèé@ _-:.,;!()/";
$locale['SSP_230c'] = "The URL of the audio player is invalid. Only A-z, 0-9 and /-_.:@?&=  are allowed.";
$locale['SSP_230d'] = "The URL to the Wish Box is invalid. Only A-z, 0-9 and /-_.:@?&=  are allowed.";
$locale['SSP_230e'] = "The channel label must not be empty.";
$locale['SSP_230f'] = "A default cover image must be set. Additional images can be added by uploading them to the folder &quot;/infusions/streamstatus_panel/covers/__NO-COVER/&quot;.<br>
IMPORTANT: The file names of the cover images must be fully in capital letters (including the file name extension).<br>
Invalid: Image1.jpg, IMAGE1.jpg, Image1.JPG<br>
Valid: IMAGE1.JPG";
$locale['SSP_230g'] = "The selected default cover image is incorrect.";
$locale['SSP_230h'] = "Stream technology was not specified.";
$locale['SSP_230i'] = "The specified stream technology is invalid.";
$locale['SSP_230j'] = "The mount point must be specified correctly.";
$locale['SSP_230k'] = "With Shoutcast v2.x, you need to specify a stream ID.";
$locale['SSP_230l'] = "The channel name assigned by LautFM must be entered correctly.";
$locale['SSP_230m'] = "The specified stream server is empty or invalid. Please enter either an IP address or the server URL (without http(s)://).";
$locale['SSP_230n'] = "The specified stream port is faulty. A number between 1000 - 65536 is expected.";
$locale['SSP_230o'] = "AIM to identify the presenter who is currently broadcasting is only supported with Shoutcast 1.x stream technology.";
$locale['SSP_230p'] = "The transcoder's server must be specified.";
$locale['SSP_230q'] = "The transcoder's port number must be specified.";
$locale['SSP_230r'] = "The admin user of the transcoder must be specified.";
$locale['SSP_230s'] = "The admin password of the transcoder must be provided.";
$locale['SSP_230t'] = "The Azuracast server is missing or contains invalid characters.";
$locale['SSP_230u'] = "The station ID of Azuracast must be provided.";
$locale['SSP_230v'] = "The API key for authorized access to the Azuracast instance must be specified correctly. This can be generated in the Azuracast management interface.";
$locale['SSP_230w'] = "A recognition text or separator must be specified, which will be followed by the name of the presenter currently broadcasting.";
$locale['SSP_230x'] = "The Auto-DJ label is missing or contains invalid characters.";
$locale['SSP_230y'] = "Shoutcast admin password is not provided or contains invalid characters.";

// Covers
$locale['SSP_240'] = "Save";
$locale['SSP_241'] = "Upload image";
$locale['SSP_242'] = "The file could not be uploaded.";
$locale['SSP_243'] = "Prohibited file format. Only images of the type JPG, GIF, PNG and SVG are allowed.";
$locale['SSP_244'] = "Browse saved cover images";
$locale['SSP_245'] = "Search term(s)";
$locale['SSP_246'] = "Music tracks without their own cover image";
$locale['SSP_247'] = "Music tracks with permanent covers";
$locale['SSP_248'] = "Search in progress ...";
$locale['SSP_249'] = "The changes have been successfully saved.";
$locale['SSP_250'] = "Set a cover image";
$locale['SSP_251'] = "Permanent Cover";
$locale['SSP_252'] = "Permanent covers remain permanently stored. A maximum storage period specified in the preferences is ignored.";
$locale['SSP_253'] = "Coverbild ersetzen";
$locale['SSP_254'] = "Current Cover Image";
$locale['SSP_255'] = "Search Online";
$locale['SSP_256'] = "Image Upload";
$locale['SSP_257'] = "Default Cover ";
$locale['SSP_258'] = "Search";
$locale['SSP_259'] = "(The selected image should be square for best results.)";
$locale['SSP_260'] = "Should the cover image of this music track really be deleted??";
$locale['SSP_261'] = "(This cover is set as permanent.)";
$locale['SSP_262'] = "Delete Cover";
$locale['SSP_263'] = "A maximum of 10 search results will be displayed. If necessary, please expand the search terms.";
$locale['SSP_264'] = "Last updated:";
$locale['SSP_265'] = "Unfortunately, the filter criteria given did not show any matches.";
$locale['SSP_266'] = "Delete";
$locale['SSP_267'] = "Edit";
$locale['SSP_268'] = "No cover found.";
$locale['SSP_269'] = "";
$locale['SSP_270'] = "";

// List current listeners
$locale['SSP_300'] = "Curren listeners";
$locale['SSP_301'] = "Restricted Access!";
$locale['SSP_302'] = "Listeners";
$locale['SSP_303'] = "Client IP";
$locale['SSP_304'] = "connected since";
$locale['SSP_305'] = "minute";
$locale['SSP_306'] = "minutes";
$locale['SSP_307'] = "Guest (unknown)";
$locale['SSP_308'] = "- Currrently there are no listeners connected -";
$locale['SSP_309'] = "Username";
$locale['SSP_310'] = "STREAM IS OFFLINE";
$locale['SSP_311'] = "Authentication Error (stream password wrong?)";
$locale['SSP_312'] = "This list shows the currently connected users (for Shoutcast streams only). This site refreshes automatically every 15 seconds.";
