<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: current_dj_avatar.php
| Author: Andre Krell (systemweb.de & krelli.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

require_once(__DIR__ . "/../../../maincore.php");
require_once(__DIR__ . "/../infusion_db.php");
require_once(__DIR__ . "/../includes/ss_functions.php");

if (!isset($_GET['id']) || !IsNum($_GET['id'])) {
	die();
}

$result = dbquery("SELECT `stream_currentdj` FROM `" . DB_STREAMSTATUS_STREAMS . "` WHERE `ID` = '" . $_GET['id'] . "' LIMIT 1;");
$rows = dbrows($result);
if ($rows == 0) {
    die();
} 
else {
    $sdata = dbarray($result);
    if ($sdata['stream_currentdj'] == "0") {
        echo "<img src='" . $settings['siteurl'] . "/infusions/streamstatus_panel/images/autodj.gif' alt='DJ-Avatar' style='border: 0; max-width: 100%;'>";
    } else {
        $result = dbquery("SELECT `user_id`, `user_name`, `user_avatar`, `user_status` FROM `" . DB_USERS . "` WHERE `user_id` = '" . $sdata['stream_currentdj'] . "' LIMIT 1;");
        $rows = dbrows($result);
        if ($rows == 0) {
            echo "<img class='onair-img' src='" . $settings['siteurl'] . "/infusions/streamstatus_panel/images/autodj.gif' alt='Autostream' style='border: 0; max-width: 100%;'>";
        }
        else {
            $udata = dbarray($result);
            if ($udata['user_avatar'] == "") {
                echo "<img class='onair-img' src='" . $settings['siteurl'] . "infusions/streamstatus_panel/images/no-dj-picture.gif' alt='".$udata['user_name']."' style='border: 0; max-width: 100%;'>";
            }
            else {
                echo "<img class='onair-img' src='" . $settings['siteurl'] . "/images/avatars/" . $udata['user_avatar'] . "' alt='".$udata['user_name']."' style='border: 0; max-width: 100%;'>";
            }
        }
    }
}