<?php
require (__DIR__."/../../maincore.php");
require (__DIR__."/infusion_db.php");

header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if(!IsSet($_GET['stream_id']) || !IsNum($_GET['stream_id']) || !IsSet($_GET['type']) || empty($_GET['type'])) {
    die();
}

$stream_id = intval($_GET['stream_id']);
$extension = $_GET['type'];

$result = dbquery("SELECT * FROM `".DB_STREAMSTATUS_STREAMS."` WHERE `ID` = '".$stream_id."' LIMIT 1;");
$rows = dbrows($result);
if ($rows == 0) { die(); }
else { $data = dbarray($result); }
$channelname = str_replace(" ", "", preg_replace('/[^A-Za-z0-9 \-]+/', '_', $data['stream_title']));
$url = ($data['stream_ssl'] == '1' ? "https://" : "http://") . $data['stream_server'] . ":" . $data['stream_port'];
if ($data['stream_type'] == "icecast") { $url .= "/" . str_replace("/", "", $data['stream_mountpoint']); }
elseif ($data['stream_type'] == "stream24") { $url .= "/" . str_replace("/", "", $data['stream_mountpoint']); }
elseif ($data['stream_type'] == 'shoutcast1') { $url .= "/listen.pls"; }
elseif ($data['stream_type'] == 'shoutcast2') { $url .= "/stream/" . $data['stream_id']."/;"; }
elseif ($data['stream_type'] == 'lautfm') { $url = "https://" . $data['stream_channelname'].".stream.laut.fm/" . $data['stream_channelname']; }
else { die(); }
if($extension =='m3u') {
	header('Content-type: application/octetstream');
	header('Content-Disposition: attachment; filename="' . $channelname . '.m3u"');
	//header("Content-Type: application/force-download");
	echo "#EXTM3U\r\n#EXTINF:-1," . $data['stream_title'] . "\r\n" . $url . "\r\n";
}
elseif($extension == 'asx') {
	header('Content-type: application/octetstream');
	header('Content-Disposition: attachment; filename="' . $channelname . '.asx"');
	//header('Content-Type: application/force-download');
	echo "<ASX version = \"3.0\">\r\n<TITLE>" . $data['stream_title'] . "</TITLE>\r\n<Entry>\r\n<Ref href = \"" . $url . "\" />\r\n</Entry>\r\n</Asx>\r\n";
}
elseif($extension == 'pls') {
	header('Content-type: application/octetstream');
	header('Content-Disposition: attachment; filename="' . $channelname . '.pls"');
	//header("Content-Type: application/force-download");
	echo "[playlist]\r\nNumberOfEntries=1\r\n\r\nFile1=" . $url . "\r\nTitle1=" . $data['stream_title'] . "\r\nLength1=-1\r\n\r\nVersion=2\r\n";
}


