<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: German.php
| Author: Andre Krell alias Krelli (systemweb.de & krelli.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Infusion locales
$locale['SSP_title'] = "Streamstatus Panel";
$locale['SSP_name'] = "Streamstatus";
$locale['SSP_desc'] = "Ein Streamstatus-Seitenpanel für Webradio-Homepages";
$locale['SSP_adminlink'] = "Streamstatus";

// Panel locales
$locale['SSP_nowplaying'] = "Aktueller Titel";
$locale['SSP_listeners'] = "Zuh&ouml;rer";
$locale['SSP_onair'] = "Jetzt auf Sendung";
$locale['SSP_wishbox'] = "Musikwunsch/Gruß ins Studio";
$locale['SSP_studiobox'] = "Studiobox";
$locale['SSP_players'] = "Player starten:";
$locale['SSP_tunein'] = "Jetzt einschalten";

// Admin locales
$locale['SSP_100'] = "Streamstatus Administration";
$locale['SSP_101'] = "Voreinstellungen";
$locale['SSP_102'] = "Channel-Verwaltung";
$locale['SSP_103'] = "Cover-Administration";
$locale['SSP_104'] = "Panel-Titel";
$locale['SSP_105'] = "Hörerzahl sichtbar für";
$locale['SSP_105a'] = "Alle (auch Gäste)";
$locale['SSP_105b'] = "Eingeloggte Benutzer";
$locale['SSP_105c'] = "Gruppe";
$locale['SSP_105d'] = "Administratoren";
$locale['SSP_105e'] = "Seiten-Admins";
$locale['SSP_105f'] = "Niemand (deaktiviert)";
$locale['SSP_105z'] = "Zuhörerliste sichtbar für";
$locale['SSP_106'] = "Covers aktivieren";
$locale['SSP_106a'] = "Ja";
$locale['SSP_106b'] = "Nein";
$locale['SSP_107'] = "Coverbilder löschen";
$locale['SSP_107a'] = "nach 1 Tag";
$locale['SSP_107b'] = "nach 3 Tagen";
$locale['SSP_107c'] = "nach 1 Woche";
$locale['SSP_107d'] = "nach 1 Monat";
$locale['SSP_107e'] = "nach 3 Monaten";
$locale['SSP_107f'] = "nach 6 Monaten";
$locale['SSP_107g'] = "nach 1 Jahr";
$locale['SSP_107h'] = "nie (keine autom. Löschung!)";
$locale['SSP_108'] = "Darstellung (Layout)";
$locale['SSP_108a'] = "#1: Nur 1x Titel und Coverbild oberhalb, darunter Channels";
$locale['SSP_108b'] = "#2: Channel-Liste mit jeweils eigenem Songtitel und Cover";
$locale['SSP_108c'] = "Option #1 wird empfohlen, wenn alle sichtbaren Channels das gleiche Programm spielen.";
$locale['SSP_109'] = "Coverqualität";
$locale['SSP_109a'] = "Medium, 250x250px (~15kB)";
$locale['SSP_109b'] = "Big, 500x500px (~70kB)";
$locale['SSP_109c'] = "XL, 1000x1000px (~150kB)";

$locale['SSP_110'] = "Einstellungen speichern";
$locale['SSP_111'] = "Bitte beachten";
$locale['SSP_112'] = "Ein Coverbild verbraucht ca. 10-15 kB Speicherplatz.
Wenn für den aktuellen Titel bereits ein Coverbild vorhanden ist, wird dieses verwendet.
Das spart Ressourcen beim Laden der Bilder vom externen Dienst.<br>
Folgendes Rechenbeispiel soll helfen, die optimale Speicherdauer festzulegen:<br>
Innerhalb eines Tages (24 Stunden) sendet man je nach Titellängen zwischen 300 bis 400 Songtitel. Nehmen wir nun an,
keine einziger davon wurde jemals vorher gespielt, so dass 400 neue Coverbilder gespeichert wurden. 
400 x 15 kB ergeben insgesamt ungefähr 6 MB täglichen Speicherbedarf. Speichert man die Coverbilder für beispielsweise 1 Jahr, benötigt man demnach 365 x 6 MB = 2,1 GB Speicherplatz auf seinem Webspace.<br>
Hierbei ist aber nicht berücksichtigt, dass innerhalb dieses Jahres viele Titel mehrfach gesendet werden, für die dann jeweils das gleiche bereits vorhandene Coverbild verwendet wird. Der hier errechnete Speicherbedarf stellt somit den aufgerundeten Maximalwert dar.<br>
Wer sich also ein eigenes Archiv an Coverbildern anlegen möchte, kann je nach vorhandenem Speicherplatz längerfristig speichern.<br><br>
In der Cover-Verwaltung können einzelne Bilder auch als &quot;permanent&quot; markiert werden. Diese werden ungeachtet der hier festgelegten Speicherdauer nicht gelöscht. auf diese Weise lassen sich eher unbekannte Titel oder solche, bei denen der Service ein falsches Bild geliefert hat, mit einem eigenen Coverbild dauerhaft festlegen.";
$locale['SSP_112a'] = "Dieses Bild wird verwendet, wenn kein Coverbild gefunden wurde.<br>\nDu kannst eigene Bilder verwenden, indem du sie in den Ordner &quot;infusions/streamstatus_panel/covers/__NO-COVER/&quot; per FTP hochlädst. Beachte bitte, dass alle Dateinamen in Großbuchstaben vorhanden sein müssen, einschließlich der Dateinamen-Erweiterungen (z.B. IMAGE.GIF).";
$locale['SSP_113'] = "FEHLER";
$locale['SSP_113a'] = "Der Panel-Titel enthält ungültige Zeichen.";
$locale['SSP_113b'] = "Ungültige Angabe für Sichtbarkeit der Hörerzahl.";
$locale['SSP_113c'] = "Die Zeitangabe für zu löschende Cover ist fehlerhaft.";
$locale['SSP_113d'] = "Covers können nicht aktiviert werden, weil der Ordner &quot;covers/&quot; nicht über die notwendigen Schreibrechte (CHMOD 0755 bzw. 0777) verfügt.";
// Status Messages
$locale['SSP_114'] = "Der Channel wurde erfolgreich aktualisiert.";
$locale['SSP_115'] = "Der Channel wurde erfolgreich hinzugefügt.";
$locale['SSP_116'] = "Der Channel wurde gelöscht.";

$locale['SSP_200'] = "Channel bearbeiten";
$locale['SSP_201'] = "Channel-Einstellungen";
$locale['SSP_202'] = "Channel-Name";
$locale['SSP_203'] = "Kurzbeschreibung";
$locale['SSP_203a'] = "(frei lassen, falls nicht gewünscht)";
$locale['SSP_204'] = "Channel ist sichtbar für:";
$locale['SSP_205'] = "Playerlinks anzeigen";
$locale['SSP_205a'] = "(Winamp, VLC, Mediaplayer)";
$locale['SSP_205b'] = "Ja, anzeigen";
$locale['SSP_205c'] = "Nein, verbergen";
$locale['SSP_206'] = "URL für Audio-Player";
$locale['SSP_206a'] = "(um Player direkt im Browserfenster zu starten)";
$locale['SSP_206b'] = "(frei lassen, falls nicht gewünscht)";
$locale['SSP_207'] = "URL für Wunschbox";
$locale['SSP_207a'] = "(frei lassen, falls nicht gewünscht)";

$locale['SSP_208'] = "Erkennung des DJ-On-Air";
$locale['SSP_208a'] = "Sendeplan (Systemweb)";
$locale['SSP_208b'] = "Sendeplan (Granade)";
$locale['SSP_208c'] = "Azuracast API";
$locale['SSP_208d'] = "Transcoder v2 API";
$locale['SSP_208e'] = "AIM (Shoutcast v1.x)";
$locale['SSP_208f'] = "Aktueller Titel";
$locale['SSP_208g'] = "Die Infusion &quot;Gr_Sendeplan&quot; ist aktuell installiert. Der aktuelle Moderator wird aus der Eintragung für die aktuelle Sendezeit ermittelt.";
$locale['SSP_208h'] = "Die Infusion &quot;Gr_Sendeplan&quot; wurde nicht installiert. Der aktuelle Moderator kann nicht aus der Eintragung für die aktuelle Sendezeit ermittelt werden.";
$locale['SSP_208i'] = "Die Infusion &quot;Sendeplan&quot; von Systemweb ist aktuell installiert. Der aktuelle Moderator wird aus der Eintragung für die aktuelle Sendezeit ermittelt.";
$locale['SSP_208j'] = "Die Infusion &quot;Sendeplan&quot; von Systemweb wurde nicht installiert. Der aktuelle Moderator kann nicht aus der Eintragung für die aktuelle Sendezeit ermittelt werden.";

$locale['SSP_209'] = "Standard-Coverbild";
$locale['SSP_210'] = "Stream-Daten";
$locale['SSP_211'] = "Stream-Technologie";
$locale['SSP_211a'] = "- bitte wählen -";
$locale['SSP_212'] = "Channel hinzufügen";
$locale['SSP_213'] = "Channel löschen";
$locale['SSP_214'] = "zurück";
$locale['SSP_215'] = "Bitte bestätigen";
$locale['SSP_216'] = "Soll der Channel &quot;<strong>%s</strong>&quot; wirklich gelöscht werden?";
$locale['SSP_217'] = "Channel löschen";
$locale['SSP_218'] = "Vorhandene Channels";
$locale['SSP_219'] = "Aktion";
$locale['SSP_219a'] = "Bearbeiten";
$locale['SSP_219b'] = "Löschen";
$locale['SSP_220'] = "Stream-Server";
$locale['SSP_220a'] = "(Servername oder IP)";
$locale['SSP_221'] = "Stream-Port";
$locale['SSP_222'] = "Ist dies ein SSL-Stream?";
$locale['SSP_222a'] = "Ja";
$locale['SSP_222b'] = "Nein";
$locale['SSP_223'] = "Stream-ID (SID)";
$locale['SSP_223a'] = "In den meisten Fällen ist hier eine <strong>1</strong> einzutragen.";
$locale['SSP_224'] = "Mountpoint";
$locale['SSP_224a'] = "(z.B.: <strong>/128kb.mp3</strong>)";
$locale['SSP_225'] = "Channelname bei Laut.FM";
$locale['SSP_226'] = "speichern";
$locale['SSP_227'] = "Aktueller Moderator/DJ";

// DJ on Air detection
$locale['SSP_227a'] = "Erkennungstext";
$locale['SSP_227b'] = "Zeichen oder String, der dem Moderatorname voransteht";
$locale['SSP_227c'] = "(z.B. &quot;|&quot oder &quot;live mit&quot;)";
$locale['SSP_228'] = "Jeder Moderator muss im Encoder seines Sendeprogrammes seinen Namen bei &quot;AIM&quot; eintragen.<br><br>
ACHTUNG: Funktioniert nur bei Shoutcast v1 Streams!<br>
Ab Shoutcast v2 gibt es keine AIM Angabe mehr.<br><br>
Nachfolgend ist das Streampasswort für den Shoutcast-Admin einzutragen.";
$locale['SSP_228a'] = "Stream Adminpasswort";
$locale['SSP_229a'] = "Transcoder-Server";
$locale['SSP_229b'] = "Admin-Port";
$locale['SSP_229c'] = "Admin-Benutzername";
$locale['SSP_229d'] = "Admin-Passwort";
$locale['SSP_229e'] = "Azuracast-Server";
$locale['SSP_229f'] = "Station-ID";
$locale['SSP_229g'] = "API-Key";
$locale['SSP_229h'] = "Die korrekte Station-ID kann man ermitteln, indem man sich in Azuracast einloggt um seinen Sender zu verwalten. Dann einfach die aktuelle URL in der Adresszeile des Browsers prüfen. Dort muss etwas stehen wie:<br>
https://Azuracast-URL/station/<strong>1</strong>/<br>
In diesem Fall lautet die Station-ID: <strong>1</strong>";
$locale['SSP_229i'] = "Den API-Key erstellt man sich in der Verwaltungsoberfläche von Azuracast (Mein Account &raquo; API-Schlüssel)";
$locale['SSP_229j'] = "Autostream-Name";
$locale['SSP_229k'] = "(mit http:// bzw. https:// beginnend!)";

// Errors
$locale['SSP_230'] = "FEHLER! Die Daten konnten aus folgenden Gründen nicht gespeichert werden:";
$locale['SSP_230a'] = "Die Channel-Bezeichnung enthält ungültige Zeichen. Erlaubt sind: A-z, 0-9, ÄÖÜäöüßèé@ _-:.,;!()/";
$locale['SSP_230b'] = "Die Kurzbeschreibung enthält ungültige Zeichen. Erlaubt sind: A-z, 0-9, ÄÖÜäöüßèé@ _-:.,;!()/";
$locale['SSP_230c'] = "Die URL des Audioplayers ist ungültig. Erlaubt sind nur A-z, 0-9 sowie /-_.:@?&=";
$locale['SSP_230d'] = "Die URL zur Wunschbox ist ungültig. Erlaubt sind nur A-z, 0-9 sowie /-_.:@?&=";
$locale['SSP_230e'] = "Die Channel-Bezeichnung darf nicht leer sein.";
$locale['SSP_230f'] = "Es muss ein Standard-Coverbild festgelegt werden. Weitere Bilder können hinzugefügt werden, indem diese in den Ordner <strong>/infusions/streamstatus_panel/covers/__NO-COVER/</strong> hochgeladen werden.<br />WICHTIG: Die Dateinamen der Coverbilder müssen vollständig in Großbuchstaben vorhanden sein (einschließlich Dateinamen-Erweiterung).<br />
Ungültig: Image1.jpg, IMAGE1.jpg, Image1.JPG<br />
Korrekt: IMAGE1.JPG";
$locale['SSP_230g'] = "Das gewählte Standard-Coverbild ist fehlerhaft.";
$locale['SSP_230h'] = "Die Stream-Technologie wurde nicht angegeben.";
$locale['SSP_230i'] = "Die angegebene Stream-Technologie ist ungültig.";
$locale['SSP_230j'] = "Der  Mountpoint muss korrekt angegeben werden.";
$locale['SSP_230k'] = "Bei Shoutcast v2.x ist die Angabe einer Stream-ID notwendig.";
$locale['SSP_230l'] = "Der von LautFM zugewiesene Channelname muss korrekt angegeben werden.";
$locale['SSP_230m'] = "Der angegebene Streamserver ist leer oder ungültig. Bitte entweder eine IP-Adresse oder den Servernamen bzw. URL angeben (ohne http(s)://).";
$locale['SSP_230n'] = "Die angegebene Stream-Port ist fehlerhaft. Es wird die Angabe einer Zahl zwischen 1000 - 65536 erwartet.";
$locale['SSP_230o'] = "AIM zur Erkennung des aktuell sendenden Moderators wird nur bei Stream-Technologie &quot;Shoutcast 1.x&quot: unterstützt.";
$locale['SSP_230p'] = "Der Server des Transcoders muss angegeben werden.";
$locale['SSP_230q'] = "Die Portnummer des Transcoders muss angegeben werden.";
$locale['SSP_230r'] = "Der Admin-Benutzer des Transcoders muss angegeben werden.";
$locale['SSP_230s'] = "Das Admin-Passwort des Transcoders muss angegeben werden.";
$locale['SSP_230t'] = "Die Angabe des Azuracast-Servers fehlt oder enthält ungültige Zeichen.";
$locale['SSP_230u'] = "Die Station-ID von Azuracast muss angegeben werden.";
$locale['SSP_230v'] = "Der API-Key für authorisierten Zugriff zur Azuracast-Instanz muss korrekt angegeben werden. Dieser kann in der Azuracast-Verwaltungsoberfläche generiert werden.";
$locale['SSP_230w'] = "Es muss ein Erkennungstext oder Trennzeichen angegeben werden, dem der Name des aktuell sendenden Moderators folgt.";
$locale['SSP_230x'] = "Die Bezeichnung für den Auto-DJ fehlt oder enthält ungültige Zeichen.";
$locale['SSP_230y'] = "Das Passwort für den Shoutcast-Admin wurde nicht angegeben oder enthält ungültige Zeichen.";

// Covers
$locale['SSP_240'] = "Speichern";
$locale['SSP_241'] = "Bild hochladen";
$locale['SSP_242'] = "Die Datei konnte nicht hochgeladen werden.";
$locale['SSP_243'] = "Unzulässiges Dateiformat. Es sind nur Bilder des Typs JPG, GIF, PNG und SVG erlaubt.";
$locale['SSP_244'] = "Gespeicherte Coverbilder durchsuchen";
$locale['SSP_245'] = "Suchbegriff(e)";
$locale['SSP_246'] = "Musiktitel ohne eigenes Coverbild";
$locale['SSP_247'] = "Musiktitel mit Permanent-Cover";
$locale['SSP_248'] = "Suche läuft ...";
$locale['SSP_249'] = "Die Änderungen wurden erfolgreich gespeichert.";
$locale['SSP_250'] = "Coverbild festlegen";
$locale['SSP_251'] = "Permanent-Cover";
$locale['SSP_252'] = "Permanente Cover bleiben dauerhaft gespeichert. Eine in den Voreinstellungen festgelegte max. Speicherdauer wird ignoriert.";
$locale['SSP_253'] = "Coverbild ersetzen";
$locale['SSP_254'] = "Aktuell";
$locale['SSP_255'] = "Online";
$locale['SSP_256'] = "Upload";
$locale['SSP_257'] = "Standard";
$locale['SSP_258'] = "Suche";
$locale['SSP_259'] = "(Das ausgewählte Bild sollte für beste Ergebnisse quadratisch sein.)";
$locale['SSP_260'] = "Soll das Coverbild dieses Titels wirklich gelöscht werden?";
$locale['SSP_261'] = "(Dieses Cover ist als permanent festgelegt.)";
$locale['SSP_262'] = "Cover löschen";
$locale['SSP_263'] = "Es werden <strong>maximal 10 Suchergebnisse</strong> angezeigt. Bei Bedarf bitte die Suchbegriffe erweitern.";
$locale['SSP_264'] = "Aktualisiert:";
$locale['SSP_265'] = "Die angegebenen Filterkriterien ergaben leider keine Übereinstimmungen.";
$locale['SSP_266'] = "Löschen";
$locale['SSP_267'] = "Bearbeiten";
$locale['SSP_268'] = "Kein Cover gefunden";
$locale['SSP_269'] = "";
$locale['SSP_270'] = "";

// List current listeners
$locale['SSP_300'] = "Wer hört gerade zu";
$locale['SSP_301'] = "Unerlaubter Zugriff.";
$locale['SSP_302'] = "Zuhörer";
$locale['SSP_303'] = "Benutzer-IP";
$locale['SSP_304'] = "eingeschaltet seit";
$locale['SSP_305'] = "Minute";
$locale['SSP_306'] = "Minuten";
$locale['SSP_307'] = "Gast (unbekannt)";
$locale['SSP_308'] = "- aktuell keine Zuhörer -";
$locale['SSP_309'] = "Benutzer";
$locale['SSP_310'] = "STREAM IST OFFLINE";
$locale['SSP_311'] = "Authentifizierungsfehler (Stream-Passwort falsch?)";
$locale['SSP_312'] = "Diese Liste zeigt die aktuell verbundenen Hörer (nur bei Shoutcast-Streams). Die Anzeige wird automatisch alle 15 Sekunden aktualisiert.";
